## mpv 0.28.2

=== debian/changelog ===
mpv (0.28.2-0.1~mx15+1) mx; urgency=medium

  * New upstream release.
  * Use system libx264 instead of included version.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Feb 2018 16:04:15 -0800

mpv (0.28.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert to 3.0 (quilt) package.
  * Remove clang from B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Jan 2018 16:01:36 -0800

mpv (2:0.28.0~xenial) xenial; urgency=medium

  * Release 0.28.0
  * ffmpeg git-2017-12-26-e6a1dfc

 -- Doug McMahon <mc631man@gmail.com>  Tue, 26 Dec 2017 17:05:46 -0500

mpv (2:0.27.0+git10~xenial1) xenial; urgency=medium

  * git-2017-12-11-6c8e7da
  * ffmpeg git-2017-12-11-555119b
  * clang-5.0

 -- Doug McMahon <mc631man@gmail.com>  Mon, 11 Dec 2017 19:29:41 -0500

mpv (2:0.27.0+git9~xenial1) xenial; urgency=medium

  * git-1d92a80
  * ffmpeg-mpv-git-2017-11-29-65b5fcf
  * x264 0.152.2851 ba24899

 -- Doug McMahon <mc631man@gmail.com>  Sat, 02 Dec 2017 14:49:11 -0500

mpv (2:0.27.0+git8~xenial2) xenial; urgency=medium

  * git-4569f39
  * ffmpeg-mpv-git-2017-11-19-37e0c9f

 -- Doug McMahon <mc631man@gmail.com>  Sun, 19 Nov 2017 22:00:32 -0500

mpv (2:0.27.0+git7~xenial) xenial; urgency=medium

  * git 6b74576
    - notable nvdec hwaccel
  * ffmpeg-mpv git-2017-10-28-2ecdab4

 -- Doug McMahon <mc631man@gmail.com>  Sat, 28 Oct 2017 15:20:24 -0400

mpv (2:0.27.0+git6~xenial) xenial; urgency=medium

  * git 3413fe4
  * ffmpeg-mpv git-2017-10-27-4a98362

 -- Doug McMahon <mc631man@gmail.com>  Fri, 27 Oct 2017 19:58:38 -0400

mpv (2:0.27.0+git5~xenial1) xenial; urgency=medium

  * git-044af63
  * ffmpeg git-2017-10-21-2904db9
  * Switch to libopenjp2-7-dev

 -- Doug McMahon <mc631man@gmail.com>  Sat, 21 Oct 2017 11:40:20 -0400

mpv (2:0.27.0+git4~xenial1) xenial; urgency=medium

  * Use shared libmysofa

 -- Doug McMahon <mc631man@gmail.com>  Sat, 14 Oct 2017 07:34:29 -0400

mpv (2:0.27.0+git4~xenial) xenial; urgency=medium

  * git 2017-10-26-47b1390
  * ffmpeg git-2017-10-13-feed201

 -- Doug McMahon <mc631man@gmail.com>  Fri, 13 Oct 2017 18:03:23 -0400

mpv (2:0.27.0+git3~xenial) xenial; urgency=medium

  * git-f6fd2a0
  * ffmpeg git-2017-09-28-e16ea52

 -- Doug McMahon <mc631man@gmail.com>  Fri, 29 Sep 2017 00:34:11 -0400

mpv (2:0.27.0+git2~xenial2) xenial; urgency=medium

  * Partiially revert bfa9b62

 -- Doug McMahon <mc631man@gmail.com>  Thu, 21 Sep 2017 20:00:49 -0400

mpv (2:0.27.0+git2~xenial) xenial; urgency=medium

  * git-52789d6
  * ffmpeg git-2017-09-21-6f15f1c
  * Add desktop action for html man

 -- Doug McMahon <mc631man@gmail.com>  Thu, 21 Sep 2017 11:14:03 -0400

mpv (2:0.27.0+git1~xenial1) xenial; urgency=medium

  * git-2017-09-20-a4de782
  * ffmpeg git-2017-09-20-b4b0247
  * Build html man

 -- Doug McMahon <mc631man@gmail.com>  Tue, 19 Sep 2017 19:22:20 -0400

mpv (2:0.27.0~xenial2) xenial; urgency=medium

  * Add to desktop actions

 -- Doug McMahon <mc631man@gmail.com>  Sat, 16 Sep 2017 22:13:26 -0400

mpv (2:0.27.0~xenial1) xenial; urgency=medium

  * Revert 9646204 to allow hwdec= until fixed

 -- Doug McMahon <mc631man@gmail.com>  Thu, 14 Sep 2017 02:00:04 -0400

mpv (2:0.27.0~xenial) xenial; urgency=medium

  * New Release
  * ffmpeg git-2017-09-12-6ce4a63

 -- Doug McMahon <mc631man@gmail.com>  Tue, 12 Sep 2017 22:02:09 -0400

mpv (2:0.26.0+git6~xenial) xenial; urgency=medium

  * git d280b3d

 -- Doug McMahon <mc631man@gmail.com>  Sun, 03 Sep 2017 11:44:13 -0400

mpv (2:0.26.0+git5~xenial) xenial; urgency=medium

  * git-449d972
  * ffmpeg git-2017-09-02-c595139

 -- Doug McMahon <mc631man@gmail.com>  Sat, 02 Sep 2017 20:47:05 -0400

mpv (2:0.26.0+git4~xenial1) xenial; urgency=medium

  * git-baead23
  * ffmpeg git-2017-08-11-7735ed2
  * Revert commit 3f75b3c

 -- Doug McMahon <mc631man@gmail.com>  Sat, 12 Aug 2017 07:07:43 -0400

mpv (2:0.26.0+git3~xenial1) xenial; urgency=medium

  * git b2fb3f1
  * youtube-dl must be updated to 2017.08.09 or later

 -- Doug McMahon <mc631man@gmail.com>  Thu, 10 Aug 2017 08:32:44 -0400

mpv (2:0.26.0+git2~xenial) xenial; urgency=medium

  * git 0389852
  * ffmpeg git-2017-08-04-44e9783
  8 continue reversion for vavpp

 -- Doug McMahon <mc631man@gmail.com>  Fri, 04 Aug 2017 22:53:16 -0400

mpv (2:0.26.0+git1~xenial2) xenial; urgency=medium

  * Revert 0ce3dce0 to test (broke vavpp

 -- Doug McMahon <mc631man@gmail.com>  Tue, 25 Jul 2017 20:18:18 -0400

mpv (2:0.26.0+git1~xenial) xenial; urgency=medium

  * git-9875f14
  * ffmpeg git-2017-07-25-7140761

 -- Doug McMahon <mc631man@gmail.com>  Tue, 25 Jul 2017 19:03:25 -0400

mpv (2:0.26.0~xenial) xenial; urgency=medium

  * New Release
  * ffmpeg git-2017-07-18-c61715e

 -- Doug McMahon <mc631man@gmail.com>  Tue, 18 Jul 2017 16:25:07 -0400

mpv (2:0.25.0+git8~xenial1) xenial; urgency=medium

  * Remove tests folder libmysofa

 -- Doug McMahon <mc631man@gmail.com>  Sun, 16 Jul 2017 13:08:57 -0400

mpv (2:0.25.0+git8~xenial) xenial; urgency=medium

  * git-1097c14
  * ffmpeg git-2017-07-01-06a66e7
  * x264 0.148.2795 aaa9aa8
  * libmysofa 0.5.0

 -- Doug McMahon <mc631man@gmail.com>  Sun, 02 Jul 2017 08:39:09 -0400

mpv (2:0.25.0+git7~xenial2) xenial; urgency=medium

  * git 7bfeb8b
  * ffmpeg git-2017-06-25-73ea2a0
  * Test static linking libmysofa
  * A Redo, forgot to add dvdnav, dvdread
  * A 2nd redo, remove netcdf-dev dep

 -- Doug McMahon <mc631man@gmail.com>  Sat, 24 Jun 2017 21:39:32 -0400

mpv (2:0.25.0+git6~xenial1) xenial; urgency=medium

  * git 53a5cf4

 -- Doug McMahon <mc631man@gmail.com>  Sat, 17 Jun 2017 11:24:18 -0400

mpv (2:0.25.0+git5~xenial1) xenial; urgency=medium

  * git-b2f756c
  * ffmpeg git-2017-06-08-a32a6b4 (last with netcdf
  * libass git-9fb3840
  * enable dvdnav, dvdread

 -- Doug McMahon <mc631man@gmail.com>  Fri, 09 Jun 2017 19:52:57 -0400

mpv (2:0.25.0+git4~xenial) xenial; urgency=medium

  * git-cc69650
  * ffmpeg git-2017-05-31-08cb69e
  * enable dvbin for a couple of users


