=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Doug McMahon <mc631man@gmail.com>
Standards-Version: 3.9.7
Homepage: http://mpv.io/
Build-Depends: autoconf,
 automake,
 cmake,
 debhelper (>= 9),
 lsb-release,
 docutils-common,
 ladspa-sdk,
 libasound2-dev,
 libbs2b-dev,
 libbluray-dev,
 libdrm-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfdk-aac-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgcrypt20-dev,
 libgl1-mesa-dev,
 libgbm-dev,
 libgme-dev,
 libgnutls-dev | libgnutls28-dev,
 libgsm1-dev,
 libharfbuzz-dev,
 libjack-jackd2-dev,
 libjpeg8-dev | libjpeg-dev,
 liblcms2-dev (>= 2.6),
 liblircclient-dev,
 liblua5.2-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmysofa-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libopenjp2-7-dev,
 libopus-dev,
 libpulse-dev,
 librubberband-dev,
 libsmbclient-dev,
 libspeex-dev,
 libssh-dev,
 libsoxr-dev,
 libtheora-dev,
 libtool,
 libtwolame-dev,
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libv4l-dev [!hurd-any],
 libvorbis-dev,
 libvpx-dev (>= 1.6.1),
 libx11-dev,
 libx264-dev,
 libxext-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxml2-dev,
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 libwavpack-dev,
 libwayland-dev,
 libxvidcore-dev,
 nasm (>= 2.13),
 python-docutils,
 rst2pdf,
 x11proto-core-dev,
 yasm,
 zlib1g-dev

Package: mpv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libgl1-mesa-dri,
 i965-va-driver | libva-intel-vaapi-driver | va-driver,
 mesa-vdpau-drivers | nvidia-vdpau-driver | nvidia-driver-binary | nvidia-current | vdpau-driver
Suggests:
Description: mplayer/mplayer2 based video player
 MPV is a versatile CLI movie player, based on mplayer and mplayer2.
 This build uses latest git FFmpeg & libass with some encoding support
 For online streaming recommended to install upstream youtube-dl & keep updated
 See here https://rg3.github.io/youtube-dl/download.html
