=== debian/changelog ===
mpv (0.29.0-1ubuntu2) cosmic; urgency=medium

  * Rebuild against new libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Aug 2018 08:09:55 +0200

mpv (0.29.0-1ubuntu1) cosmic; urgency=medium

  * Rewrote 08_fix-lp1698287.patch to work with the latest mpv source code,
    allowing VAAPI to work in Wayland sessions out-of-the-box. (LP: #1698287)
  * Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
    (LP: #1708102)
  * Rebased on latest Debian version 0.29.0-1.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 09 Aug 2018 18:04:13 +0800

mpv (0.29.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904629)
    - player: add on_load_fail hook. (Closes: #898576)
    - ytdl_hook: fix single-entry playlists. (Closes: #898279)

  * debian/copyright: Update.
  * debian/libmpv1.symbols: Add new symbols.
  * debian/patches:
    - Drop 04_waf-pie.patch - hopefully not needed in recent GCC.
    - Drop 08_waf-python3.7.patch - applied in new waf.
    - Rewrite patch description for 06_ffmpeg-abi.patch.
    - Refresh patches.
  * debian/rules:
    - Remove --enable-encoding option.

 -- James Cowgill <jcowgill@debian.org>  Sat, 28 Jul 2018 12:29:32 +0800

mpv (0.28.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- James Cowgill <jcowgill@debian.org>  Wed, 18 Jul 2018 12:00:43 +0100

mpv (0.28.2-2) experimental; urgency=medium

  * debian/control:
    - Add missing build-dependency on wayland-protocols.
      Thanks to Laurent Bigonville for reporting! (Closes: #903887)
    - Bump standards version to 4.1.5.
  * debian/patches:
    - Add patch to fix FTBFS with Python 3.7 as the default python3.
      (Closes: #903610)

 -- James Cowgill <jcowgill@debian.org>  Mon, 16 Jul 2018 22:13:05 +0100

mpv (0.28.2-1) experimental; urgency=medium

  * New upstream bugfix release.
    - Also whitelist subtitle URLs in youtube-dl hook. (Closes: #890410)

  * debian/rules:
    - Build-Depend on ffmpeg 4.0. (Closes: #898080)
  * debian/patches:
    - Drop patch for CVE-2018-6360 - fixed upstream.
    - Fix typo in 06_ffmpeg-abi.patch description.

 -- James Cowgill <jcowgill@debian.org>  Sun, 06 May 2018 23:20:25 +0100

mpv (0.28.0-1) experimental; urgency=medium

  * New upstream release.

  * debian/compat:
    - Use debhelper 11.
  * debian/control:
    - Set Maintainer to debian-multimedia@l.d.o.
    - Switch Vcs URLs to salsa.debian.org.
    - Drop unused dependency on libavresample-dev.
    - Add dependencies on libarchive-dev and libvulkan-dev.
    - Bump ffmpeg dependencies to 3.5.
    - Set Rules-Requires-Root: no.
    - Bump standards to 4.1.3.
  * debian/copyright:
    - Update for 0.28.
    - Use secure copyright format URL.
  * debian/patches:
    - Drop vaapi patch applied upstream.
    - Add patch for CVE-2018-6360. (Closes: #888654)
    - Refresh other patches.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Feb 2018 12:53:27 +0100
