## mpv 0.29.1

=== debian/changelog ===
mpv (0.29.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Dec 2018 15:52:16 -0800

mpv (0.29.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump standards version to 4.2.1.

 -- James Cowgill <jcowgill@debian.org>  Wed, 03 Oct 2018 10:00:52 +0100
