=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Reinhard Tartler <siretart@tauware.de>,
 James Cowgill <jcowgill@debian.org>
Build-Depends:
 debhelper (>= 11),
 dpkg-dev (>= 1.17),
 libarchive-dev (>= 3),
 libasound2-dev [linux-any],
 libass-dev (>= 0.12.1~),
 libavcodec-dev (>= 7:4.0),
 libavdevice-dev (>= 7:4.0),
 libavfilter-dev (>= 7:4.0),
 libavformat-dev (>= 7:4.0),
 libavutil-dev (>= 7:4.0),
 libbluray-dev,
 libcaca-dev,
 libcdio-paranoia-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libegl1-mesa-dev [linux-any],
 libgbm-dev,
 libgl1-mesa-dev,
 libjack-dev,
 libjpeg-dev,
 liblcms2-dev (>= 2.6~),
 liblua5.2-dev,
 libpulse-dev,
 librubberband-dev,
 libsdl2-dev,
 libsmbclient-dev,
 libsndio-dev (>= 1.0.1),
 libswscale-dev (>= 7:4.0),
 libuchardet-dev,
 libva-dev,
 libvdpau-dev,
 libvulkan-dev [linux-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxkbcommon-dev [linux-any],
 libxrandr-dev,
 libxss-dev,
 libxv-dev,
 pkg-config,
 python3,
 python3-docutils,
 wayland-protocols,
Standards-Version: 4.2.1
Homepage: https://mpv.io/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
Rules-Requires-Root: no

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xdg-utils, youtube-dl (>= 2014.11.26)
Multi-Arch: foreign
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

Package: libmpv1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: youtube-dl (>= 2014.11.26)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides a client library that can be used to embed mpv in other
 applications.

Package: libmpv-dev
Section: libdevel
Architecture: any
Depends: libmpv1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: video player based on MPlayer/mplayer2 (client library dev files)
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 This package provides development files for libmpv.
