=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 override_dh_auto_install:
 	python3 ./waf -v install --destdir=debian/tmp
-	cp -f debian/mpv.conf.ubuntu debian/tmp/etc/mpv/mpv.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE_NOTES
@@ -41,3 +40,6 @@
 override_dh_auto_clean:
 	test -s ./waf && python3 ./waf -v distclean || true
 	find . -name "*.pyc" -delete
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
