## mpv 0.29.1.37

=== wscript ===
--- 
+++ 
@@ -169,6 +169,11 @@
         'fmsg': 'Unable to find either POSIX or MinGW-w64 environment, ' \
                 'or compiler does not work.',
     }, {
+        'name': '--swift',
+        'desc': 'macOS Swift build tools',
+        'deps': 'os-darwin',
+        'func': check_swift,
+    }, {
         'name': '--uwp',
         'desc': 'Universal Windows Platform',
         'default': 'disable',
@@ -343,7 +348,3 @@
         'func': check_libs(['z'],
                     check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
         'req': True,
-        'fmsg': 'Unable to find development files for zlib.'
-    }, {
-        'name': '--libbluray',
-        'desc': 'Bluray support',
