=== debian/changelog ===
mpv (0.29.1.37-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Fri, 11 Feb 2022 16:08:57 +0800

mpv (0.29.1.3-1+dde) unstable; urgency=medium

  * Fix the problem of mips wayland can't initialize OpenGL

 -- liuzheng <liuzheng@uniontech.com>  Oct, 10 Tue 2021 10:01:23 +0800

mpv (0.29.1.2-1+dde) unstable; urgency=medium

  * Fix the problem of arm platform playing crash

 -- liuzheng <liuzheng@uniontech.com>  Mar, 8 Fri 2021 09:37:59 +0800

mpv (0.29.1.1-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Tue, 23 Feb 2021 01:37:59 +0000

mpv (0.29.1-2) unstable; urgency=medium

  * Adjust the output drive sequence of mips architecture.
    - 0001-Adjust-the-output-drive-sequence.patch
    - 0002-Restore-the-output-drive-sequence-of-non-mips-archit.patch
  * Remove the configuration options of opengl on the mips platform.

 -- liuzheng <liuzheng@uniontech.com>  Thu, 2  Dec 2020 10:59:30 +0800
