=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpv
 Section: video
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
@@ -81,7 +80,6 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: youtube-dl (>= 2014.11.26)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)
