## mpv 0.30.0

=== wscript ===
--- 
+++ 
@@ -3,6 +3,7 @@
 import sys, os, re
 sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
 sys.path.insert(0, os.getcwd())
+from shlex import split
 from waflib.Configure import conf
 from waflib.Tools import c_preproc
 from waflib import Utils
@@ -103,12 +104,6 @@
         'deps': 'libdl && !os-win32',
         'func': check_cc(linkflags=['-rdynamic']),
     }, {
-        'name': '--zsh-comp',
-        'desc': 'zsh completion',
-        'func': check_ctx_vars('BIN_PERL'),
-        'func': check_true,
-        'default': 'disable',
-    }, {
         # does nothing - left for backward and forward compatibility
         'name': '--asm',
         'desc': 'inline assembly (currently without effect)',
@@ -117,13 +112,19 @@
     }, {
         'name': '--test',
         'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka', '>= 1.0.0'),
+        'func': check_pkg_config('cmocka', '>= 1.1.5'),
         'default': 'disable',
     }, {
         'name': '--clang-database',
         'desc': 'generate a clang compilation database',
         'func': check_true,
         'default': 'disable',
+    } , {
+        'name': '--swift-static',
+        'desc': 'static Swift linking',
+        'deps': 'os-darwin',
+        'func': check_ctx_vars('SWIFT_LIB_STATIC'),
+        'default': 'disable'
     }
 ]
 
@@ -149,17 +150,24 @@
     }, {
         'name': 'posix',
         'desc': 'POSIX environment',
-        # This should be good enough.
-        'func': check_statement(['poll.h', 'unistd.h', 'sys/mman.h'],
-            'struct pollfd pfd; poll(&pfd, 1, 0); fork(); int f[2]; pipe(f); munmap(f,0)'),
+        'func': check_statement(['unistd.h'], 'long x = _POSIX_VERSION'),
     }, {
         'name': '--android',
         'desc': 'Android environment',
-        'func': compose_checks(
-            check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
-            check_cc(lib="android"),
-            check_cc(lib="EGL"),
-        )
+        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  # arbitrary android-specific header
+    }, {
+        'name': '--tvos',
+        'desc': 'tvOS environment',
+        'func': check_statement(
+            ['TargetConditionals.h', 'assert.h'],
+            'static_assert(TARGET_OS_TV, "TARGET_OS_TV defined to zero!")'
+        ),
+    }, {
+        'name': '--egl-android',
+        'desc': 'Android EGL support',
+        'deps': 'android',
+        'groups': [ 'gl' ],
+        'func': check_cc(lib=['android', 'EGL']),
     }, {
         'name': 'posix-or-mingw',
         'desc': 'development environment',
@@ -207,6 +215,11 @@
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                 'atomic_fetch_add(&test, 1)'))
     }, {
+        # C11; technically we still support C99
+        'name': 'aligned_alloc',
+        'desc': 'C11 aligned_alloc()',
+        'func': check_statement('stdlib.h', 'aligned_alloc(1, 1)'),
+    }, {
         'name': 'atomics',
         'desc': 'stdatomic.h support or slow emulation',
         'func': check_true,
@@ -235,7 +248,7 @@
         'desc': 'spawnp()/kill() POSIX support',
         'func': check_statement(['spawn.h', 'signal.h'],
             'posix_spawnp(0,0,0,0,0,0); kill(0,0)'),
-        'deps': '!mingw',
+        'deps': '!mingw && !tvos',
     }, {
         'name': 'posix-spawn-android',
         'desc': 'spawnp()/kill() Android replacement',
@@ -310,6 +323,12 @@
         'func': check_statement('sys/vfs.h',
                                 'struct statfs fs; fstatfs(0, &fs); fs.f_namelen')
     }, {
+        'name': 'memfd_create',
+        'desc': "Linux's memfd_create()",
+        'deps': 'os-linux',
+        'func': check_statement('sys/mman.h',
+                                'memfd_create("mpv", MFD_CLOEXEC | MFD_ALLOW_SEALING)')
+    }, {
         'name': '--libsmbclient',
         'desc': 'Samba support (makes mpv GPLv3)',
         'deps': 'libdl && gpl',
@@ -329,22 +348,3 @@
         'desc': 'SSA/ASS support',
         'func': check_pkg_config('libass', '>= 0.12.1'),
         'req': True,
-        'fmsg': "Unable to find development files for libass, or the version " +
-                "found is too old. Aborting. If you really mean to compile " +
-                "without libass support use --disable-libass."
-    }, {
-        'name': '--libass-osd',
-        'desc': 'libass OSD support',
-        'deps': 'libass',
-        'func': check_true,
-    }, {
-        'name': 'dummy-osd',
-        'desc': 'dummy OSD support',
-        'deps': '!libass-osd',
-        'func': check_true,
-    } , {
-        'name': '--zlib',
-        'desc': 'zlib',
-        'func': check_libs(['z'],
-                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
-        'req': True,
