=== debian/changelog ===
mpv (0.30.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)
  * Drop changes included in upstream source code: 08_fix-lp1698287.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2019 12:06:34 +0100

mpv (0.30.0-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (Closes: #945367)

  * d/copyright: Updates for 0.30.0.
  * d/control:
    - Use debhelper compat 12.
    - Bump minimum libwayland-dev version.
    - Drop libvulkan-dev.
    - Add build-dependency on libdrm-dev.
    - Bump standards version to 4.4.1.
  * d/libmpv1.symbols:
    - Add new symbols found in 0.30.0.
    - Add Build-Depends-Package field.
  * d/patches:
    - Drop 02_fix-config-path.patch.
    - Refresh patches.
  * d/rules:
    - Drop --enable-zsh-comp.
    - Drop --enable-libdvdread.

  [ Ondřej Nový ]
  * d/control: Use debhelper-compat instead of debian/compat.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Nov 2019 17:29:57 +0000

mpv (0.29.1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Rewrote 08_fix-lp1698287.patch to work with the latest mpv source code,
      allowing VAAPI to work in Wayland sessions out-of-the-box. (LP: #1698287)
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)
    - Rebased on latest Debian version 0.29.1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Nov 2018 11:58:22 +0100
