=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  James Cowgill <jcowgill@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.17),
  libarchive-dev (>= 3),
  libasound2-dev [linux-any],
@@ -19,8 +19,8 @@
  libbluray-dev,
  libcaca-dev,
  libcdio-paranoia-dev,
+ libdrm-dev (>= 2.4.74),
  libdvdnav-dev,
- libdvdread-dev,
  libegl1-mesa-dev [linux-any],
  libgbm-dev,
  libgl1-mesa-dev,
@@ -37,8 +37,7 @@
  libuchardet-dev,
  libva-dev,
  libvdpau-dev,
- libvulkan-dev [linux-any],
- libwayland-dev [linux-any],
+ libwayland-dev (>= 1.15.0) [linux-any],
  libx11-dev,
  libxinerama-dev,
  libxkbcommon-dev [linux-any],
@@ -49,7 +48,7 @@
  python3,
  python3-docutils,
  wayland-protocols,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://mpv.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
@@ -80,6 +79,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: youtube-dl (>= 2014.11.26)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: video player based on MPlayer/mplayer2 (client library)
