## mpv 0.32.0

=== wscript ===
--- 
+++ 
@@ -40,11 +40,6 @@
         'deps': '!lgpl',
         'func': check_true,
     }, {
-        'name': 'libaf',
-        'desc': 'internal audio filter chain',
-        'deps': 'gpl',
-        'func': check_true,
-    }, {
         'name': '--cplayer',
         'desc': 'mpv CLI player',
         'default': 'enable',
@@ -79,6 +74,18 @@
         'name': '--debug-build',
         'desc': 'whether to compile-in debugging information',
         'default': 'enable',
+        'func': check_true
+    }, {
+        'name': '--tests',
+        'desc': 'unit tests (development only)',
+        'default': 'disable',
+        'func': check_true
+    }, {
+        # Reminder: normally always built, but enabled by MPV_LEAK_REPORT.
+        # Building it can be disabled only by defining NDEBUG through CFLAGS.
+        'name': '--ta-leak-report',
+        'desc': 'enable ta leak report by default (development only)',
+        'default': 'disable',
         'func': check_true
     }, {
         'name': '--manpage-build',
@@ -109,11 +116,6 @@
         'desc': 'inline assembly (currently without effect)',
         'default': 'enable',
         'func': check_true,
-    }, {
-        'name': '--test',
-        'desc': 'test suite (using cmocka)',
-        'func': check_pkg_config('cmocka', '>= 1.1.5'),
-        'default': 'disable',
     }, {
         'name': '--clang-database',
         'desc': 'generate a clang compilation database',
@@ -215,7 +217,7 @@
                 'atomic_int_least64_t test = ATOMIC_VAR_INIT(123);'
                 'atomic_fetch_add(&test, 1)'))
     }, {
-        # C11; technically we still support C99
+        # C11; technically we require C11, but aligned_alloc() is not in MinGW
         'name': 'aligned_alloc',
         'desc': 'C11 aligned_alloc()',
         'func': check_statement('stdlib.h', 'aligned_alloc(1, 1)'),
@@ -342,9 +344,3 @@
     }, {
         'name' : '--javascript',
         'desc' : 'Javascript (MuJS backend)',
-        'func': check_pkg_config('mujs', '>= 1.0.0'),
-    }, {
-        'name': '--libass',
-        'desc': 'SSA/ASS support',
-        'func': check_pkg_config('libass', '>= 0.12.1'),
-        'req': True,
