=== debian/changelog ===
mpv (0.32.0-3.0antix1) unstable; urgency=medium

  * remove hard libsmbclient dependency for antiX 

 -- anticapitalista <antix@operamail.com>  Tue, 27 Apr 2021 12:35:34 +0300

mpv (0.32.0-3) unstable; urgency=medium

  * debian/patches: Apply upstream fix for CVE-2021-30145 (Closes: #986839)
    Thanks to Jan Ekström.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 09:10:40 +0200

mpv (0.32.0-2) unstable; urgency=medium

  * Bug fix: "unintended code execution vulnerability", thanks to astian
    (Closes: #950816). Patch backported from upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jul 2020 18:01:43 -0400

mpv (0.32.0-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/copyright: Add updates for 0.32.0.
  * d/control:
    - Update libarchive dependency.
    - Bump standards version to 4.5.0.
  * d/patches: Refresh patches.

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse.

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Jan 2020 01:03:08 +0000
