=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dpkg-dev (>= 1.17),
- libarchive-dev (>= 3),
+ libarchive-dev,
  libasound2-dev [linux-any],
  libass-dev (>= 0.12.1~),
  libavcodec-dev (>= 7:4.0),
@@ -31,7 +31,6 @@
  libpulse-dev,
  librubberband-dev,
  libsdl2-dev,
- libsmbclient-dev,
  libsndio-dev (>= 1.0.1),
  libswscale-dev (>= 7:4.0),
  libuchardet-dev,
@@ -48,7 +47,7 @@
  python3,
  python3-docutils,
  wayland-protocols,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://mpv.io/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpv
