=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,10 @@
 			--zshdir=/usr/share/zsh/vendor-completions	\
 			--enable-cdda					\
 			--enable-dvdnav					\
-			--enable-dvdread				\
 			--enable-libmpv-shared				\
-			--enable-libsmbclient				\
+			--disable-libsmbclient				\
 			--enable-sdl2					\
 			--enable-sndio					\
-			--enable-zsh-comp				\
 			--disable-build-date				\
 			$(ARCH_CONFIGURE)
 
@@ -40,6 +38,3 @@
 override_dh_auto_clean:
 	test -s ./waf && python3 ./waf -v distclean || true
 	find . -name "*.pyc" -delete
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
